# -*- coding: utf-8 -*-
# Copyright (C) 2006-2020 CS GROUP - France
# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>

"""
Supprime la contrainte d'unicité sur un nom + type de groupe.
Les groupes sont désormais organisés en arborescence et le même nom
peut donc apparaître à plusieurs endroits dans cette arborescence.
"""

# pylint: disable-msg=W0613
# W0613: Unused arguments
# pylint: disable-msg=C0103
# Invalid name "..." (should match ...)

from vigilo.models.session import DBSession, MigrationDDL
from vigilo.models import tables

def upgrade(migrate_engine, actions):
    """
    Migre le modèle.

    @param migrate_engine: Connexion à la base de données,
        pouvant être utilisée durant la migration.
    @type migrate_engine: C{Engine}
    @param actions: Conteneur listant les actions à effectuer
        lorsque cette migration aura été appliquée.
    @type actions: C{MigrationActions}
    """

    MigrationDDL(
        [
            "ALTER TABLE %(fullname)s DROP CONSTRAINT "
                "vigilo_group_grouptype_key",
        ],
    ).execute(DBSession, tables.Host.__table__)

    # Nécessite une mise à jour de VigiReport.
    actions.upgrade_vigireport = True
